Bug 975251 - [abrt] eclipse-pydev-2.7.5-1.fc19: interpreterInfo.py:199:<module>:RuntimeError: Ok, this is so that it shows the output (ugly hack for some platforms, so that it releases the output).
Summary: [abrt] eclipse-pydev-2.7.5-1.fc19: interpreterInfo.py:199:<module>:RuntimeErr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-pydev
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrew Ferrazzutti
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:cd93378f8f709fd555d730d0f44...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-17 22:31 UTC by Jaroslav Lečko
Modified: 2013-09-19 02:00 UTC (History)
6 users (show)

Fixed In Version: eclipse-pydev-2.8.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-19 02:00:44 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (7.31 KB, text/plain)
2013-06-17 22:31 UTC, Jaroslav Lečko
no flags Details
File: environ (1.31 KB, text/plain)
2013-06-17 22:31 UTC, Jaroslav Lečko
no flags Details
A patch that removes the line that raises the error. (2.01 KB, patch)
2013-09-05 18:30 UTC, Andrew Ferrazzutti
no flags Details | Diff

Description Jaroslav Lečko 2013-06-17 22:31:32 UTC
Version-Release number of selected component:
eclipse-pydev-2.7.5-1.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python2.7 -u /usr/share/eclipse/dropins/pydev/eclipse/plugins/org.python.pydev_2.7.5.2013052819/pysrc/interpreterInfo.py
core_backtrace: f55d93c1e709eff7a5d96a72583ef13688580728 0xc7 <module> /usr/share/eclipse/dropins/pydev/eclipse/plugins/org.python.pydev_2.7.5.2013052819/pysrc/interpreterInfo.py -
executable:     /usr/share/eclipse/dropins/pydev/eclipse/plugins/org.python.pydev_2.7.5.2013052819/pysrc/interpreterInfo.py
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Potential duplicate: bug 882035

Comment 1 Jaroslav Lečko 2013-06-17 22:31:37 UTC
Created attachment 762223 [details]
File: backtrace

Comment 2 Jaroslav Lečko 2013-06-17 22:31:40 UTC
Created attachment 762224 [details]
File: environ

Comment 3 Andrew Ferrazzutti 2013-09-05 18:30:03 UTC
Created attachment 794432 [details]
A patch that removes the line that raises the error.

This error is intentionally raised to ensure compatibility with some platforms. Since compatibility isn't an issue for the Fedora package of PyDev, the statement that raises the error is removed.

Comment 4 Fedora Update System 2013-09-09 20:24:34 UTC
eclipse-pydev-2.8.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/eclipse-pydev-2.8.2-1.fc19

Comment 5 Fedora Update System 2013-09-11 01:56:41 UTC
Package eclipse-pydev-2.8.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eclipse-pydev-2.8.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16341/eclipse-pydev-2.8.2-1.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-09-19 02:00:44 UTC
eclipse-pydev-2.8.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.